session.h File Reference
`#include <ubuntu/status.h>`
`#include <ubuntu/visibility.h>`
Include dependency graph for session.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct UbuntuApplicationUrlDispatcherSession | UAUrlDispatcherSession
| Opaque type encapsulating a session with the url dispatcher service. More...
typedef void(* | UAUrlDispatcherSessionDispatchHandler) (UStatus status, const char *url, void *context)
| Callback type that is invoked for open results. More...

## Functions

UBUNTU_DLL_PUBLIC void | ua_url_dispatcher_session_open (UAUrlDispatcherSession *session, const char *url, UAUrlDispatcherSessionDispatchHandler handler, void *context)
| Tells the url dispatcher to open the given url. More...